org.springframework.web.bind

## Class UnsatisfiedServletRequestParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.ServletException
      - - org.springframework.web.util.NestedServletException
        - - org.springframework.web.bind.ServletRequestBindingException
          - - org.springframework.web.bind.UnsatisfiedServletRequestParameterException

All Implemented Interfaces:
  Serializable

    public class UnsatisfiedServletRequestParameterException
    extends ServletRequestBindingException

`ServletRequestBindingException` subclass that indicates an unsatisfied parameter condition, as typically expressed using an `@RequestMapping` annotation at the `@Controller` type level.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `RequestMapping.params()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsatisfiedServletRequestParameterException(String[] paramConditions, Map actualParams)` Create a new UnsatisfiedServletRequestParameterException.

### Method Summary

Methods
`Map<String,String[]>` `getActualParams()` Return the actual parameter Map associated with the ServletRequest.
`String` `getMessage()` Return the detail message, including the message from the nested exception if there is one.
`String[]` `getParamConditions()` Return the parameter conditions that have been violated.

### Methods inherited from class javax.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsatisfiedServletRequestParameterException

    public UnsatisfiedServletRequestParameterException(String[] paramConditions,
                                               Map actualParams)

Create a new UnsatisfiedServletRequestParameterException.

Parameters:
  `paramConditions` - the parameter conditions that have been violated
  `actualParams` - the actual parameter Map associated with the ServletRequest

### Method Detail

#### getMessage

    public String getMessage()

Description copied from class: `NestedServletException`
Return the detail message, including the message from the nested exception if there is one.

Overrides:
  `getMessage` in class `NestedServletException`

#### getParamConditions

    public final String[] getParamConditions()

Return the parameter conditions that have been violated.

See Also:
  `RequestMapping.params()`

#### getActualParams

    public final Map<String,String[]> getActualParams()

Return the actual parameter Map associated with the ServletRequest.

See Also:
  `ServletRequest.getParameterMap()`